import 'package:flutter/material.dart';
import 'package:your_project/models/trip_request.dart';
import 'package:your_project/presentation/widgets/new_trip_map.dart';
import 'package:your_project/presentation/widgets/new_trip_location_search.dart';

class CreateTripLocation extends StatelessWidget {
  final TripRequest tripRequest;

  const CreateTripLocation(this.tripRequest, {Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        NewTripMap(tripRequest),
        Padding(
          padding: const EdgeInsets.all(15),
          child: NewTripLocationSearch(tripRequest),
        ),
      ],
    );
  }
}
